Saltar al contenido principal
POST
/
api
/
authentication
/
login
curl --location 'https://stg.api.fire.rest/api/authentication/login' \
  --header 'x-api-key: <your_api_key>' \
  --header 'x-client-channel: integration' \
  --header 'account: <your_account_id>' \
  --header 'Content-Type: application/json' \
  --data '{
    "client_id": "<your_client_id>",
    "client_secret": "<your_client_secret>",
    "grant_type": "client_credentials"
  }'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
x-api-key
string
requerido
Tu API key de Fire. Se emite desde el dashboard de Fire en Settings → API Keys.
x-client-channel
string
requerido
Debe ser integration. Identifica la petición como proveniente de una integración externa.
account
string
requerido
Identificador de la cuenta a la que pertenece la petición.
Content-Type
string
predeterminado:"application/json"
requerido
Debe ser application/json para el cuerpo JSON.
client_id
string
requerido
Identificador de cliente emitido por Fire.
client_secret
string
requerido
Secreto de cliente emitido por Fire.
grant_type
string
predeterminado:"client_credentials"
requerido
Tipo de grant OAuth 2.0. Debe ser client_credentials.
accessToken
string
Token de acceso. Inclúyelo en la cabecera Authorization: Bearer <accessToken> en todas las peticiones a la API.
curl --location 'https://stg.api.fire.rest/api/authentication/login' \
  --header 'x-api-key: <your_api_key>' \
  --header 'x-client-channel: integration' \
  --header 'account: <your_account_id>' \
  --header 'Content-Type: application/json' \
  --data '{
    "client_id": "<your_client_id>",
    "client_secret": "<your_client_secret>",
    "grant_type": "client_credentials"
  }'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}